Subject: [PWE3] MEF E-Tree over MPLS/VPLS

From: Raymond Key <[email-masked]>
Date: Tue, 26 Jan 2010 14:21:47 +1100

Hi L2VPN & PWE3 workgroups,

We have updated the three Internet drafts re E-Tree service over MPLS network.

A Framework for E-Tree Service over MPLS Network
(http://tools.ietf.org/html/draft-key-l2vpn-etree-frwk-01)
Major update:
- 4.2. Use Case Desirable Requirements
- 4.2.1. Ethernet Broadcast/Multicast Optimisation
- 4.2.2. IP Multicast Optimisation
- 5.2.1. Per-payload Signaling on PW - From Leaf or Root
- 5.3. Optional Enhancement - Point-to-Multipoint PW
- 5.4. Optional Enhancement - IP Multicast in VPLS
- Appendix A. Other Possible Ways for Leaf-to-Leaf Communicaiton Restriction

Control Word Reserved bit for use in E-Tree
(http://tools.ietf.org/html/draft-delord-pwe3-cw-bit-etree-02)
Major update:
- 3.2 proposed approach (explain why we propose to use one bit in control word, with reference to the Preferred PW MPLS Control Word format in RFC4385)

Extension to VPLS for E-Tree
(http://tools.ietf.org/html/draft-key-l2vpn-vpls-etree-02)
Major update:
- 6. Optional Enhancements for Leaf-only PE
- 7. Hierarchical VPLS

Our proposed approach relies on a simple extension to the current VPLS standards (RFC4761 / RFC4762) and PWE3 Ethernet Encapsulation standard (RFC4448). With such extension, VPLS can be used to support both E-LAN and E-Tree services at the same time on MPLS network.

The authors would like to solicit comments from the workgroups. In particular,
- whether there is a need for VPLS to support E-Tree services
- whether the proposed approach is feasible
- whether vendors would consider implementing a E-Tree solution using the proposed approach
- whether service providers would consider using such solution if available

Thank a lot.

Raymond Key